<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelList StructType
 * @subpackage Structs
 */
class HotelList extends AbstractStructBase
{
    /**
     * The HotelListRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelListRQ
     */
    public $HotelListRQ;
    /**
     * Constructor method for HotelList
     * @uses HotelList::setHotelListRQ()
     * @param \StructType\JP_HotelListRQ $hotelListRQ
     */
    public function __construct(\StructType\JP_HotelListRQ $hotelListRQ = null)
    {
        $this
            ->setHotelListRQ($hotelListRQ);
    }
    /**
     * Get HotelListRQ value
     * @return \StructType\JP_HotelListRQ|null
     */
    public function getHotelListRQ()
    {
        return $this->HotelListRQ;
    }
    /**
     * Set HotelListRQ value
     * @param \StructType\JP_HotelListRQ $hotelListRQ
     * @return \StructType\HotelList
     */
    public function setHotelListRQ(\StructType\JP_HotelListRQ $hotelListRQ = null)
    {
        $this->HotelListRQ = $hotelListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
